Package org.apache.calcite.avatica.proto

## Interface Requests.OpenConnectionRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Requests.OpenConnectionRequest`, `Requests.OpenConnectionRequest.Builder`

Enclosing class:
  Requests

    public static interface Requests.OpenConnectionRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsInfo​(java.lang.String key)` `map<string, string> info = 2;`
`java.lang.String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`java.util.Map<java.lang.String,​java.lang.String>` `getInfo()` Deprecated.
`int` `getInfoCount()` `map<string, string> info = 2;`
`java.util.Map<java.lang.String,​java.lang.String>` `getInfoMap()` `map<string, string> info = 2;`
`java.lang.String` `getInfoOrDefault​(java.lang.String key, java.lang.String defaultValue)` `map<string, string> info = 2;`
`java.lang.String` `getInfoOrThrow​(java.lang.String key)` `map<string, string> info = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getConnectionId

    java.lang.String getConnectionId()

`string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

#### getInfoCount

    int getInfoCount()

`map<string, string> info = 2;`

#### containsInfo

    boolean containsInfo​(java.lang.String key)

`map<string, string> info = 2;`

#### getInfo

    @Deprecated
    java.util.Map<java.lang.String,​java.lang.String> getInfo()

Deprecated.
Use `getInfoMap()` instead.

#### getInfoMap

    java.util.Map<java.lang.String,​java.lang.String> getInfoMap()

`map<string, string> info = 2;`

#### getInfoOrDefault

    java.lang.String getInfoOrDefault​(java.lang.String key,
                                      java.lang.String defaultValue)

`map<string, string> info = 2;`

#### getInfoOrThrow

    java.lang.String getInfoOrThrow​(java.lang.String key)

`map<string, string> info = 2;`